Loading...
Searching...
No Matches
OpenMesh::Subdivider::Adaptive::Tvv4< M > Class Template Reference

Topological composite rule Tvv,4 doing a 1-4 split of a face. More...

`#include <OpenMesh/Tools/Subdivider/Adaptive/Composite/RulesT.hh>`

Inheritance diagram for OpenMesh::Subdivider::Adaptive::Tvv4< M >:
[legend]
Collaboration diagram for OpenMesh::Subdivider::Adaptive::Tvv4< M >:
[legend]

## Public Types

typedef Tvv4< M > | Self
typedef RuleHandleT< Self > | Handle
typedef M::HalfedgeHandle | HEH
typedef M::VertexHandle | VH
typedef RuleInterfaceT< M > | Inherited
Public Types inherited from OpenMesh::Subdivider::Adaptive::RuleInterfaceT< M >
typedef M | Mesh
typedef RuleInterfaceT< M > | Self
typedef RuleHandleT< Self > | Rule
typedef M::Scalar | scalar_t

## Public Member Functions

const char * | type () const override
| Returns the name of the rule.
| Tvv4 (M &_mesh)
void | raise (typename M::FaceHandle &_fh, state_t _target_state) override
| Raise item to target state `_target_state`.
void | raise (typename M::VertexHandle &_vh, state_t _target_state) override
| Raise item to target state `_target_state`.
void | raise (typename M::EdgeHandle &_eh, state_t _target_state) override
| Raise item to target state `_target_state`.
Public Member Functions inherited from OpenMesh::Subdivider::Adaptive::RuleInterfaceT< M >
virtual | ~RuleInterfaceT ()
| Destructor.
void | update (typename M::FaceHandle &_fh, state_t _target_state)
| Raise item to target state `_target_state`.
void | update (typename M::EdgeHandle &_eh, state_t _target_state)
| Raise item to target state `_target_state`.
void | update (typename M::VertexHandle &_vh, state_t _target_state)
| Raise item to target state `_target_state`.
int | subdiv_type () const
| Type of split operation, if it is a topological operator.
int | number () const
| Position in rule sequence.
virtual void | set_coeff (scalar_t _coeff)
| Set coefficient - ignored by non-parameterized rules.
scalar_t | coeff () const
| Get coefficient - ignored by non-parameterized rules.

## Friends

class | CompositeT< M >

## Additional Inherited Members

Protected Member Functions inherited from OpenMesh::Subdivider::Adaptive::RuleInterfaceT< M >
| RuleInterfaceT (Mesh &_mesh)
| Default constructor.
void | set_prev_rule (Self *&_p)
| Set coefficient - ignored by non-parameterized rules.
Self * | prev_rule ()
| Set coefficient - ignored by non-parameterized rules.
void | set_subdiv_rule (Self *&_n)
| Set coefficient - ignored by non-parameterized rules.
Self * | subdiv_rule () const
| Set coefficient - ignored by non-parameterized rules.
void | set_number (int _n)
| Set coefficient - ignored by non-parameterized rules.
void | set_n_rules (int _n)
| Set coefficient - ignored by non-parameterized rules.
int | n_rules () const
| Set coefficient - ignored by non-parameterized rules.
void | set_subdiv_type (int _n)
| Set coefficient - ignored by non-parameterized rules.
Protected Attributes inherited from OpenMesh::Subdivider::Adaptive::RuleInterfaceT< M >
Mesh & | mesh_
| Set coefficient - ignored by non-parameterized rules.

## Detailed Description

template<class M>
class OpenMesh::Subdivider::Adaptive::Tvv4< M >

Topological composite rule Tvv,4 doing a 1-4 split of a face.

## Member Function Documentation

## raise() [1/3]

template<class M >

void OpenMesh::Subdivider::Adaptive::Tvv4< M >::raise | ( | typename M::EdgeHandle & | _eh,
|  | state_t | _target_state
| ) |  |

override virtual

Raise item to target state `_target_state`.

Reimplemented from OpenMesh::Subdivider::Adaptive::RuleInterfaceT< M >.

## raise() [2/3]

template<class M >

void OpenMesh::Subdivider::Adaptive::Tvv4< M >::raise | ( | typename M::FaceHandle & | _fh,
|  | state_t | _target_state
| ) |  |

override virtual

Raise item to target state `_target_state`.

Reimplemented from OpenMesh::Subdivider::Adaptive::RuleInterfaceT< M >.

## raise() [3/3]

template<class M >

void OpenMesh::Subdivider::Adaptive::Tvv4< M >::raise | ( | typename M::VertexHandle & | _vh,
|  | state_t | _target_state
| ) |  |

override virtual

Raise item to target state `_target_state`.

Reimplemented from OpenMesh::Subdivider::Adaptive::RuleInterfaceT< M >.

## type()

template<class M >

const char * OpenMesh::Subdivider::Adaptive::Tvv4< M >::type | ( |  | ) | const

inline override virtual

Returns the name of the rule.

Use define COMPOSITE_RULE to overload this function in a derived class.

Implements OpenMesh::Subdivider::Adaptive::RuleInterfaceT< M >.

The documentation for this class was generated from the following files:

- OpenMesh/Tools/Subdivider/Adaptive/Composite/RulesT.hh
- OpenMesh/Tools/Subdivider/Adaptive/Composite/RulesT_impl.hh